Summary: A SAML 2.0 authentication module for the Apache Httpd Server
Name:    mod_auth_mellon
Version: 0.18.0
Release: 3%{?dist}
License: GPLv2+
Url:     https://github.com/latchset/mod_auth_mellon
Source0: %{url}/archive/refs/tags/v0.18.0.tar.gz
Source1: auth_mellon.conf
Source2: 10-auth_mellon.conf
Source3: mod_auth_mellon.conf
Source4: mellon_create_metadata.sh

Patch3000: 0000-configure.patch
Patch3001: 0001-logout-endpoint-post.patch

BuildRequires: make gcc curl-devel glib2-devel httpd-devel lasso-devel systemd-rpm-macros
BuildRequires: openssl-devel xmlsec1-devel xmlsec1-openssl-devel rubygem-asciidoctor libtool-ltdl-devel
Requires: httpd-mmn = %{_httpd_mmn} lasso

%description
The mod_auth_mellon module is an authentication service that implements the SAML 2.0 federation
protocol. It grants access based on the attributes received in assertions generated by a IdP server.

%package diagnostics
Summary: Build of mod_auth_mellon with diagnostic logging
Requires: %{name} = %{version}-%{release}

%description diagnostics
Build of mod_auth_mellon with diagnostic logging.

%prep
%autosetup -n %{name}-%{version} -p1
chmod +x configure

%build
export APXS=%{_httpd_apxs}
%configure --enable-diagnostics

make clean
%{make_build}
cp .libs/%{name}.so %{name}-diagnostics.so

%configure
make clean
%{make_build}
pushd doc/user_guide
asciidoctor -a data-uri mellon_user_guide.adoc
popd

%install
mkdir -p %{buildroot}/run/%{name}

install -Dm 755 .libs/%{name}.so %{buildroot}%{_httpd_moddir}/%{name}.so
install -m 755 %{name}-diagnostics.so %{buildroot}%{_httpd_moddir}

install -Dm 644 %{SOURCE1} %{buildroot}%{_httpd_confdir}/auth_mellon.conf
install -Dm 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10-auth_mellon.conf
install -Dm 644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/mod_auth_mellon.conf
install -Dm 755 %{SOURCE4} %{buildroot}%{_libexecdir}/%{name}/mellon_create_metadata.sh

mkdir -p %{buildroot}%{_pkgdocdir}
cp -r doc/user_guide %{buildroot}%{_pkgdocdir}

%files
%license COPYING
%doc README.md NEWS ECP.rst
%doc %{_pkgdocdir}/user_guide
%config(noreplace) %{_httpd_modconfdir}/10-auth_mellon.conf
%config(noreplace) %{_httpd_confdir}/auth_mellon.conf
%{_httpd_moddir}/mod_auth_mellon.so
%{_tmpfilesdir}/mod_auth_mellon.conf
%{_libexecdir}/%{name}
%dir /run/%{name}/

%files diagnostics
%{_httpd_moddir}/%{name}-diagnostics.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 0.18.0-1
- initial build
